apiVersion: apps/v1
kind: Deployment
metadata:
  name: mywebapp
spec:
  selector:
    matchLabels:
      app: mywebapp
  replicas: 2
  template:
    metadata:
      labels:
        app: mywebapp
    spec:
      containers:
      - name: mywebapp
        image: nanajanashia/argocd-app:1.2
        ports:
        - containerPort: 8080
